#
# spec file for package perl-Gnome2-GConf
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gnome2-GConf
Version:        1.044
Release:        lp150.1.3
Summary:        Perl wrappers for the GConf configuration engine  
License:        LGPL-2.0+ and GPL-2.0+
Group:          Development/Languages/Perl
Url:            http://search.cpan.org/dist/Gnome2-GConf/
Source0:        Gnome2-GConf-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-ExtUtils-Depends
BuildRequires:  perl-ExtUtils-PkgConfig
BuildRequires:  perl-Glib
BuildRequires:  pkgconfig(gconf-2.0)
%if 0%{?suse_version} && 0%{?suse_version} < 1140
BuildRequires:  perl-macros
%endif     
Requires:       gconf2 >= %(pkg-config --modversion gconf-2.0)
Requires:       perl-Glib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif

%description
Perl bindings to the 2.x series of the Gnome widget set.  This module allows
you to write graphical user interfaces in a perlish and object-oriented way,
freeing you from the casting and memory management in C, yet remaining very
close in spirit to original API.

%prep
%setup -q -n Gnome2-GConf-%{version}

%build
perl Makefile.PL
make

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%dir %{perl_vendorarch}/Gnome2
%dir %{perl_vendorarch}/Gnome2/GConf
%dir %{perl_vendorarch}/Gnome2/GConf/Install
%dir %{perl_vendorarch}/auto/Gnome2
%dir %{perl_vendorarch}/auto/Gnome2/GConf

%changelog
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Jun 10 2011 saigkill@opensuse.org
- removed -devel package
- prepared for factory
* Thu Apr 14 2011 saigkill@opensuse.org
- tweaked into a -devel file
* Thu Apr 14 2011 saigkill@opensuse.org
- used spec-cleaner
- added macros
